Skip to content

seedance-1-5-pro-first-last-frames

POST https://www.kkiai.com/volc/v1/contents/generations/tasks

Request Parameters

Authorization

Add the Authorization parameter to the Header, with its value being the Token concatenated after Bearer

Example: Authorization: Bearer ********************

Body Parameters (application/json)

Parameter NameTypeRequiredDescription
modelstringRequiredThe ID of the model you need to call
contentarray[object]RequiredInformation input to the model for video generation, supporting text and image information.
  └ typestringRequired
  └ textstringOptionalText content input to the model, describing the expected video to be generated
  └ image_urlobjectRequired
  └ rolestringRequired

Request Example

json
{
    "model": "doubao-seedance-1-5-pro-251215",
    "content": [
         {
            "type": "text",
            "text": "The girl in the image looks at the camera and says \"Cheese,\" with a 360-degree orbiting camera movement. --dur 5"
        },
        {
            "type": "image_url",
            "image_url": {
                "url": "https://ark-project.tos-cn-beijing.volces.com/doc_image/seepro_first_frame.jpeg"
            },
            "role": "first_frame"
        },
        {
            "type": "image_url",
            "image_url": {
                "url": "https://ark-project.tos-cn-beijing.volces.com/doc_image/seepro_last_frame.jpeg"
            },
            "role": "last_frame"
        }
    ]
}

cURL Example

bash
curl --location --request POST 'https://www.kkiai.com/volc/v1/contents/generations/tasks' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data-raw '{
    "model": "doubao-seedance-1-5-pro-251215",
    "content": [
         {
            "type": "text",
            "text": "The girl in the image looks at the camera and says \"Cheese,\" with a 360-degree orbiting camera movement. --dur 5"
        },
        {
            "type": "image_url",
            "image_url": {
                "url": "https://ark-project.tos-cn-beijing.volces.com/doc_image/seepro_first_frame.jpeg"
            },
            "role": "first_frame"
        },
        {
            "type": "image_url",
            "image_url": {
                "url": "https://ark-project.tos-cn-beijing.volces.com/doc_image/seepro_last_frame.jpeg"
            },
            "role": "last_frame"
        }
    ]
}'

Response

🟢 200 Success

Response Body

Parameter NameTypeRequiredDescription
idstringRequired
statusstringRequired

Response Example

json
{
    "id": "cgt-20250918170228-dw9rb",
    "status": "submitted"
}